<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- ##############################################################################
     #      Volume Control Panel by HerbyW 03-2015                                #
     #                                                                            #
     #    Updated BARANGER Emmanuel 09/2022                                       #
     ##############################################################################
-->
<PropertyList>

  <path>volume.ac</path>

  <animation>
    <object-name>base</object-name>
    <object-name>c1</object-name>
    <object-name>c2</object-name>
    <object-name>c3</object-name>
  </animation>

  <animation>
    <type>noshadow</type>
    <object-name>base</object-name>
    <object-name>c1</object-name>
    <object-name>c2</object-name>
    <object-name>c3</object-name>
  </animation>

  <animation>
    <type>material</type>
    <object-name>base</object-name>
    <object-name>c1</object-name>
    <object-name>c2</object-name>
    <object-name>c3</object-name>
    <condition>
      <property>controls/electric/battery-switch</property>
    </condition>
    <emission>
      <factor-prop>controls/lighting/instruments-norm</factor-prop>
      <red>   0.50 </red>
      <green> 0.40 </green>
      <blue>  0.30 </blue>
    </emission>
  </animation>

  <animation>
    <type>knob</type>
    <object-name>c1</object-name>
    <visible>true</visible>
    <action>
      <binding>
        <command>property-adjust</command>
        <property>instrumentation/marker-beacon/volume</property>
        <factor>0.1</factor>
        <min>0</min>
        <max>1</max>
      </binding>
    </action>
    <hovered>
      <binding>
        <command>set-tooltip</command>
        <tooltip-id>Marker-Volume</tooltip-id>
        <label>Marker-Volume: %d%%</label>
        <property>instrumentation/marker-beacon/volume</property>
        <mapping>nasal</mapping>
        <script>return int(arg[0] * 100)</script>
      </binding>
    </hovered>
  </animation>

  <animation>
    <type>knob</type>
    <object-name>c2</object-name>
    <visible>true</visible>
    <action>
      <binding>
        <command>property-adjust</command>
        <property>controls/switches/cabin</property>
        <factor>0.1</factor>
        <min>0</min>
        <max>1</max>
      </binding>
    </action>
    <hovered>
      <binding>
        <command>set-tooltip</command>
        <tooltip-id>Cabin-Light</tooltip-id>
        <label>Cabin-Light: %d%%</label>
        <property>controls/switches/cabin</property>
        <mapping>nasal</mapping>
        <script>return int(arg[0] * 100)</script>
      </binding>
    </hovered>
  </animation>

  <animation>
    <type>knob</type>
    <object-name>c3</object-name>
    <visible>true</visible>
    <action>
      <binding>
        <command>property-adjust</command>
        <property>controls/switches/gauge-light</property>
        <factor>1</factor>
        <min>0</min>
        <max>1</max>
      </binding>
    </action>
    <hovered>
      <binding>
        <command>set-tooltip</command>
        <tooltip-id>Instrument-Lights</tooltip-id>
        <label>Instrument-Lights: %d%%</label>
        <property>controls/switches/gauge-light</property>
        <mapping>nasal</mapping>
        <script>return int(arg[0] * 100)</script>
      </binding>
    </hovered>
  </animation>

</PropertyList>
